com.sun.grid.jgdi.monitoring.filter

## Class ResourceAttributeFilter

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.filter.ResourceAttributeFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceAttributeFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAttributeFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValueName(java.lang.String valueName)`
    `ResourceAttributeFilter` | `fill(java.lang.String str)`
    `java.util.List<java.lang.String>` | `getValueNames()`
    `static ResourceAttributeFilter` | `parse(java.lang.String str)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAttributeFilter

          public ResourceAttributeFilter()

  - ### Method Detail

    - #### parse

          public static ResourceAttributeFilter parse(java.lang.String str)

    - #### fill

          public ResourceAttributeFilter fill(java.lang.String str)

    - #### addValueName

          public void addValueName(java.lang.String valueName)

    - #### getValueNames

          public java.util.List<java.lang.String> getValueNames()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.